"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("./util");
var chokidar = require('chokidar');
var Watcher = /** @class */ (function () {
    function Watcher(root, _a) {
        var modulePathIgnorePatterns = _a.jest.modulePathIgnorePatterns;
        var _this = this;
        this.onAddHandler = function () { return ({}); };
        this.onDeleteHandler = function () { return ({}); };
        this.onChangeHandler = function () { return ({}); };
        var ignoredPaths = [
            'node_modules',
            '.git'
        ].concat((modulePathIgnorePatterns ? modulePathIgnorePatterns : []));
        this.watcher = chokidar.watch(root, {
            ignored: new RegExp(ignoredPaths.join('|')),
            ignoreInitial: true
        });
        this.watcher
            .on('add', function (path) {
            _this.onAddHandler(path);
        })
            .on('change', function (path) {
            try {
                _this.onChangeHandler(path, util_1.getItBlocks(path));
            }
            catch (e) {
                _this.onChangeHandler(path);
            }
        })
            .on('unlink', function (path) {
            _this.onDeleteHandler(path);
        });
    }
    Watcher.prototype.handlers = function (onAdd, onDelete, onChange) {
        this.onChangeHandler = onChange;
        this.onAddHandler = onAdd;
        this.onDeleteHandler = onDelete;
    };
    return Watcher;
}());
exports.default = Watcher;
//# sourceMappingURL=Watcher.js.map