"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Sockette = require('sockette');
var SocketteConst = Sockette.default || Sockette;
function getSocket(name) {
    var port = '';
    if (process && process.env.serverPort) {
        port = process.env.serverPort;
    }
    else {
        port = window.config.serverPort;
    }
    return new Promise(function (resolve) {
        var messageCb = function (data) { return ({}); };
        var ws = new SocketteConst("ws://localhost:" + port, {
            timeout: 5e3,
            maxAttempts: 10,
            onmessage: function (e) {
                var data = JSON.parse(e.data);
                messageCb(data);
            },
            onopen: function () {
                resolve({
                    on: function (cb) {
                        messageCb = cb;
                    },
                    emit: function (event, message) {
                        ws.send(JSON.stringify(__assign({ event: event }, message)));
                    }
                });
            }
        });
    });
}
exports.getSocket = getSocket;
//# sourceMappingURL=connection.js.map