"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var mobx_react_1 = require("mobx-react");
var SplitPane = require('react-split-pane');
var Sidebar_1 = require("./components/Sidebar");
var styled_components_1 = require("styled-components");
require("./index.css");
var SummaryPanel_1 = require("./components/SummaryPanel");
var debugLink_1 = require("./components/debugLink");
var MiddlePanel_1 = require("./components/MiddlePanel");
var polished_1 = require("polished");
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  height: 100vh;\n  display: flex;\n  flex-direction: row;\n  justify-content: center;\n"], ["\n  height: 100vh;\n  display: flex;\n  flex-direction: row;\n  justify-content: center;\n"])));
var MainWorkSpace = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  width: 100%;\n  background-color: ", " !important;\n"], ["\n  display: flex;\n  width: 100%;\n  background-color: ", " !important;\n"])), function (props) { return polished_1.lighten(0.1, props.theme.main); });
var Home = /** @class */ (function (_super) {
    __extends(Home, _super);
    function Home() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Home.prototype.render = function () {
        var _a = this.props, workspace = _a.workspace, tests = _a.tests, debug = _a.debug, searcher = _a.searcher, preference = _a.preference, updater = _a.updater, vsCodeIntegrator = _a.vsCodeIntegrator;
        return (React.createElement(Container, { className: "Home" },
            React.createElement(MainWorkSpace, null,
                React.createElement(SplitPane, { paneStyle: { position: 'inherit' }, split: "vertical", minSize: preference.shouldShowTreeView ? 320 : 0, defaultSize: preference.shouldShowTreeView ? 320 : 0 },
                    preference.shouldShowTreeView && (React.createElement(Sidebar_1.default, { tests: tests, searcher: searcher })),
                    React.createElement(MiddlePanel_1.default, { workspace: workspace, tests: tests, debug: debug, vsCodeIntegrator: vsCodeIntegrator }))),
            preference.shouldShowSummaryPanel && (React.createElement(SummaryPanel_1.default, { workspace: workspace, tests: tests, preference: preference, updater: updater })),
            React.createElement(debugLink_1.default, { workspace: workspace, debug: debug })));
    };
    Home = __decorate([
        mobx_react_1.observer
    ], Home);
    return Home;
}(React.Component));
exports.default = Home;
var templateObject_1, templateObject_2;
//# sourceMappingURL=Home.js.map