"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var button_1 = require("./button");
var core_1 = require("@blueprintjs/core");
var mobx_react_1 = require("mobx-react");
var Check = require('react-feather').Check;
var DoneButton = styled_components_1.default(button_1.default)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  min-width: 110px;\n"], ["\n  min-width: 110px;\n"])));
var Label = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin-bottom: 5px;\n"], ["\n  margin-bottom: 5px;\n"])));
var Footer = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  margin-top: 50px;\n"], ["\n  margin-top: 50px;\n"])));
var EnableLogCheckbox = styled_components_1.default(core_1.Switch)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-top: 20px;\n"], ["\n  margin-top: 20px;\n"])));
function Settings(_a) {
    var preference = _a.preference;
    return (React.createElement(React.Fragment, null,
        React.createElement(Label, null, "Node executable path for majestic to use"),
        React.createElement("div", { className: "pt-input-group" },
            React.createElement("span", { className: "pt-icon pt-icon-cog" }),
            React.createElement("input", { className: "pt-input", type: "input", placeholder: "Node path", dir: "auto", value: preference.nodePath, onChange: function (event) {
                    preference.setNodePath(event.target.value);
                } })),
        React.createElement(EnableLogCheckbox, { checked: preference.isMajesticLogEnabled, label: "Enable Majestic.log()", onClick: function () {
                preference.toggleIsMajesticLogEnabled();
            } })));
}
var SettingsObs = mobx_react_1.observer(Settings);
var FilledTable = styled_components_1.default.table(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  width: 100%;\n"], ["\n  width: 100%;\n"])));
function Shortcut() {
    return (React.createElement(FilledTable, { className: "pt-html-table pt-interactive" },
        React.createElement("tbody", null,
            React.createElement("tr", null,
                React.createElement("td", null, "Ctrl+B / Cmd+B"),
                React.createElement("td", null, "Toggle the tree view")),
            React.createElement("tr", null,
                React.createElement("td", null, "Ctrl+R / Cmd+R"),
                React.createElement("td", null, "Run current file")))));
}
function PreferenceModal(_a) {
    var preference = _a.preference;
    return (React.createElement(core_1.Dialog, { icon: "inbox", isOpen: preference.preferenceModalOpen, title: "Dialog header", className: "pt-dark" },
        React.createElement("div", { className: "pt-dialog-body" },
            React.createElement(core_1.Tabs, { animate: true, id: "navbar" },
                React.createElement(core_1.Tab, { id: "Home", title: "Settings", panel: React.createElement(SettingsObs, { preference: preference }) }),
                React.createElement(core_1.Tab, { id: "Files", title: "Shortcuts", panel: React.createElement(Shortcut, null) }))),
        React.createElement(Footer, { className: "pt-dialog-footer" },
            React.createElement("div", { className: "pt-dialog-footer-actions" },
                React.createElement(DoneButton, { primary: true, label: "Done", icon: React.createElement(Check, { size: 16 }), onClick: function () {
                        preference.saveConfig();
                        preference.togglePreferenceModal(false);
                    } })))));
}
exports.default = mobx_react_1.observer(PreferenceModal);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
//# sourceMappingURL=Preference.js.map