"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var mobx_react_1 = require("mobx-react");
var styled_components_1 = require("styled-components");
var ItStatusIcon_1 = require("./ItStatusIcon");
var core_1 = require("@blueprintjs/core");
var styled_1 = require("../../../util/styled");
var theme_1 = require("../../../theme");
var Convert = require('ansi-to-html');
var convert = new Convert();
var BarDiv = styled_1.styledComponentWithProps(styled_components_1.default.span);
var ActionButton = styled_1.styledComponentWithProps(styled_components_1.default.button);
var Container = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  flex-direction: column;\n"], ["\n  display: flex;\n  flex-direction: column;\n"])));
var Bar = BarDiv(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  border-top: 2px solid ", ";\n  display: flex;\n  background-color: ", ";\n  color: ", ";\n  font-size: 13px;\n  font-weight: 600;\n  border-radius: 2px;\n  margin-bottom: 12px;\n  align-items: center;\n  height: 35px;\n"], ["\n  border-top: 2px solid ", ";\n  display: flex;\n  background-color: ", ";\n  color: ", ";\n  font-size: 13px;\n  font-weight: 600;\n  border-radius: 2px;\n  margin-bottom: 12px;\n  align-items: center;\n  height: 35px;\n"])), function (props) { return theme_1.getColorForStatus(props.status); }, function (props) { return props.theme.main; }, function (props) { return props.theme.text; });
var RightContent = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  padding: 5px;\n  flex-grow: 1;\n"], ["\n  padding: 5px;\n  flex-grow: 1;\n"])));
var CodePanel = styled_components_1.default.pre(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  color: white !important;\n  background-color: ", " !important;\n  border: 0px !important;\n  border-radius: 0px;\n  margin-top: -12px;\n  white-space: pre-wrap;\n  font-size: 14px;\n"], ["\n  color: white !important;\n  background-color: ", " !important;\n  border: 0px !important;\n  border-radius: 0px;\n  margin-top: -12px;\n  white-space: pre-wrap;\n  font-size: 14px;\n"])), function (props) { return props.theme.main; });
var ExcutingLabel = styled_components_1.default.span(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  color: blue;\n  font-weight: 400 !important;\n  font-size: 12px;\n  color: ", ";\n"], ["\n  color: blue;\n  font-weight: 400 !important;\n  font-size: 12px;\n  color: ", ";\n"])), function (props) { return props.theme.text; });
var TimeTakenLabel = styled_components_1.default.span(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  color: gray;\n  font-weight: 400 !important;\n  font-size: 12px;\n  margin-left: 10px;\n"], ["\n  color: gray;\n  font-weight: 400 !important;\n  font-size: 12px;\n  margin-left: 10px;\n"])));
var ThemedButton = ActionButton(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  &:before {\n    color: ", " !important;\n  }\n"], ["\n  &:before {\n    color: ", " !important;\n  }\n"])), function (props) { return theme_1.getColorForStatus(props.status); });
function ItBlock(_a) {
    var itBlock = _a.itBlock, onRunTest = _a.onRunTest, onUpdateSnapshot = _a.onUpdateSnapshot, launchInEditor = _a.launchInEditor, isDebugging = _a.isDebugging, isVsCodeReady = _a.isVsCodeReady, startVsCodeDebug = _a.startVsCodeDebug;
    return (React.createElement(Container, null,
        React.createElement(Bar, { status: itBlock.status },
            React.createElement(RightContent, null,
                React.createElement(ItStatusIcon_1.default, { status: itBlock.status }),
                itBlock.name,
                itBlock.timeTaken !== undefined && (React.createElement(TimeTakenLabel, null,
                    itBlock.timeTaken,
                    " ms"))),
            itBlock.executing && React.createElement(ExcutingLabel, null, "\u26A1 Executing"),
            itBlock.updatingSnapshot && (React.createElement(ExcutingLabel, null, "\u26A1 Updating snapshot")),
            itBlock.isSnapshotFailure && (React.createElement(core_1.Tooltip, { content: 'Update snapshot', className: 'pt-dark', intent: core_1.Intent.PRIMARY },
                React.createElement(ThemedButton, { type: "button", status: itBlock.status, className: "pt-button pt-small pt-minimal pt-icon-camera", onClick: function () {
                        onUpdateSnapshot();
                    } }))),
            React.createElement(core_1.Tooltip, { content: 'Launch editor', className: 'pt-dark', intent: core_1.Intent.PRIMARY },
                React.createElement(ThemedButton, { type: "button", status: itBlock.status, className: "pt-button pt-small pt-minimal pt-icon-document-open", onClick: function () {
                        launchInEditor(itBlock);
                    } })),
            React.createElement(core_1.Tooltip, { content: 'Run test', className: 'pt-dark', intent: core_1.Intent.PRIMARY },
                React.createElement(ThemedButton, { type: "button", className: "pt-button pt-small pt-minimal pt-icon-play", status: itBlock.status, onClick: function () {
                        onRunTest(itBlock);
                    } }))),
        itBlock.failureMessage && (React.createElement(CodePanel, { dangerouslySetInnerHTML: {
                __html: escapeHtml(convert.toHtml(itBlock.failureMessage))
            } }))));
}
function escapeHtml(unsafe) {
    return unsafe
        .replace(/&/g, '&amp;')
        .replace(/</g, '&lt;')
        .replace(/>/g, '&gt;')
        .replace(/"/g, '&quot;')
        .replace(/'/g, '&#039;');
}
exports.default = mobx_react_1.observer(ItBlock);
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
//# sourceMappingURL=index.js.map