"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var mobx_1 = require("mobx");
var istanbul_lib_source_maps_1 = require("istanbul-lib-source-maps");
var istanbul_lib_coverage_1 = require("istanbul-lib-coverage");
var CoverageSummary = /** @class */ (function () {
    function CoverageSummary() {
        this.statementPercentage = 0;
        this.linePercentage = 0;
        this.functionPercentage = 0;
        this.branchesPercentage = 0;
        this.sourceMapStore = istanbul_lib_source_maps_1.createSourceMapStore();
        this.transformedCoverageMap = istanbul_lib_coverage_1.createCoverageMap();
    }
    CoverageSummary.prototype.mapCoverage = function (data) {
        var cm = istanbul_lib_coverage_1.createCoverageMap(data);
        var transformed = this.sourceMapStore.transformCoverage(cm);
        this.transformedCoverageMap = transformed.map;
        this.getSummary();
    };
    CoverageSummary.prototype.getSummary = function () {
        var summary = this.transformedCoverageMap.getCoverageSummary();
        this.statementPercentage = summary.statements.pct;
        this.linePercentage = summary.lines.pct;
        this.functionPercentage = summary.functions.pct;
        this.branchesPercentage = summary.branches.pct;
    };
    Object.defineProperty(CoverageSummary.prototype, "isCoverageAvailable", {
        get: function () {
            return (this.statementPercentage &&
                this.linePercentage &&
                this.functionPercentage &&
                this.branchesPercentage);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        mobx_1.observable
    ], CoverageSummary.prototype, "statementPercentage", void 0);
    __decorate([
        mobx_1.observable
    ], CoverageSummary.prototype, "linePercentage", void 0);
    __decorate([
        mobx_1.observable
    ], CoverageSummary.prototype, "functionPercentage", void 0);
    __decorate([
        mobx_1.observable
    ], CoverageSummary.prototype, "branchesPercentage", void 0);
    __decorate([
        mobx_1.computed
    ], CoverageSummary.prototype, "isCoverageAvailable", null);
    return CoverageSummary;
}());
exports.default = CoverageSummary;
//# sourceMappingURL=CoverageSummary.js.map