"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var mobx_1 = require("mobx");
var ExecutionSummary = /** @class */ (function () {
    function ExecutionSummary() {
        this.successfulSuits = 0;
        this.failedSuits = 0;
        this.successfulTests = 0;
        this.failedTests = 0;
        this.successfulSnaphots = 0;
        this.failedSnaphots = 0;
        this.timeTaken = 0;
    }
    ExecutionSummary.prototype.updateSuitSummary = function (success, failures) {
        this.successfulSuits = success;
        this.failedSuits = failures;
    };
    ExecutionSummary.prototype.updateTestSummary = function (success, failures) {
        this.successfulTests = success;
        this.failedTests = failures;
    };
    ExecutionSummary.prototype.updateSnapshotSummary = function (success, failures) {
        this.successfulSnaphots = success;
        this.failedSnaphots = failures;
    };
    ExecutionSummary.prototype.updateTimeTaken = function (startTime) {
        this.timeTaken = (Date.now() - startTime) / 1000;
    };
    __decorate([
        mobx_1.observable
    ], ExecutionSummary.prototype, "successfulSuits", void 0);
    __decorate([
        mobx_1.observable
    ], ExecutionSummary.prototype, "failedSuits", void 0);
    __decorate([
        mobx_1.observable
    ], ExecutionSummary.prototype, "successfulTests", void 0);
    __decorate([
        mobx_1.observable
    ], ExecutionSummary.prototype, "failedTests", void 0);
    __decorate([
        mobx_1.observable
    ], ExecutionSummary.prototype, "successfulSnaphots", void 0);
    __decorate([
        mobx_1.observable
    ], ExecutionSummary.prototype, "failedSnaphots", void 0);
    __decorate([
        mobx_1.observable
    ], ExecutionSummary.prototype, "timeTaken", void 0);
    return ExecutionSummary;
}());
exports.default = ExecutionSummary;
//# sourceMappingURL=ExecutionSummary.js.map