"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var mobx_1 = require("mobx");
var fuzzysearch = require('fuzzysearch');
var Searcher = /** @class */ (function () {
    function Searcher() {
        this.query = '';
        this.results = mobx_1.observable([]);
    }
    Object.defineProperty(Searcher.prototype, "isSearching", {
        get: function () {
            return this.query !== '';
        },
        enumerable: true,
        configurable: true
    });
    Searcher.prototype.setQuery = function (files, query) {
        var _this = this;
        this.query = query;
        this.results.clear();
        if (this.query === '') {
            return;
        }
        files.forEach(function (node, path) {
            if (fuzzysearch(_this.query, path) && node.type === 'file') {
                _this.results.push(node);
            }
        });
    };
    __decorate([
        mobx_1.observable
    ], Searcher.prototype, "query", void 0);
    __decorate([
        mobx_1.observable
    ], Searcher.prototype, "results", void 0);
    __decorate([
        mobx_1.computed
    ], Searcher.prototype, "isSearching", null);
    return Searcher;
}());
exports.Searcher = Searcher;
exports.default = new Searcher();
//# sourceMappingURL=Searcher.js.map