"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Sockette = require('sockette');
var rxjs_1 = require("rxjs");
exports.testResultStream$ = new rxjs_1.Subject();
exports.runCompleteStream$ = new rxjs_1.Subject();
exports.loggerStream$ = new rxjs_1.Subject();
exports.vscodePluginStream$ = new rxjs_1.Subject();
var connection = new Promise(function (resolve) {
    var ws = new Sockette.default("ws://localhost:" + window.config.serverPort, {
        timeout: 5e3,
        maxAttempts: 10,
        onmessage: function (e) {
            var _a = JSON.parse(e.data), event = _a.event, payload = _a.payload, source = _a.source;
            if (event === 'onTestResult') {
                for (var _i = 0, payload_1 = payload; _i < payload_1.length; _i++) {
                    var item = payload_1[_i];
                    exports.testResultStream$.next({
                        test: item.test,
                        testResult: item.testResult,
                        aggregatedResult: item.aggregatedResult
                    });
                }
            }
            else if (event === 'onRunComplete') {
                exports.runCompleteStream$.next({
                    results: payload.results
                });
            }
            else if (source === 'majestic-logger') {
                exports.loggerStream$.next(payload);
            }
            else if (source === 'vscode-majestic' && event === 'workspace-path') {
                exports.vscodePluginStream$.next({
                    event: event,
                    payload: payload
                });
            }
        },
        onopen: function () {
            resolve(ws);
        }
    });
});
function send(message) {
    connection.then(function (ws) {
        ws.send(JSON.stringify(message));
    });
}
exports.send = send;
//# sourceMappingURL=relay.js.map